﻿using AutoMapper;
using AutoMapper.Configuration;

namespace COA.EnterpriseServices.DataAccess
{
    public static class Mapping
    {
        public static IMapper GetMapper()
        {
            var cfg = new MapperConfigurationExpression();
            cfg.AddProfile<MappingProfile>();

            //Mapper.Initialize(cfg);
            // or
            var mapperConfig = new MapperConfiguration(cfg);

            return new Mapper(mapperConfig);
        }
    }
}
